Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class LongAttribute

    java.lang.Object
      iaik.pkcs.pkcs11.objects.Attribute
          iaik.pkcs.pkcs11.objects.LongAttribute

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  CertificateTypeAttribute, HardwareFeatureTypeAttribute, KeyTypeAttribute, MechanismAttribute, ObjectClassAttribute

public class LongAttribute
extends Attribute

Objects of this class represent a long attribute of an PKCS#11 object as specified by PKCS#11.

Invariants

Field Summary

Fields inherited from class iaik.pkcs.pkcs11.objects.Attribute
`AC_ISSUER, ALWAYS_SENSITIVE, APPLICATION, ATTR_TYPES, attributeNames_, AUTH_PIN_FLAGS, BASE, CERTIFICATE_TYPE, ckAttribute_, CLASS, COEFFICIENT, DECRYPT, DERIVE, EC_PARAMS, EC_POINT, ECDSA_PARAMS, ENCRYPT, END_DATE, EXPONENT_1, EXPONENT_2, EXTRACTABLE, HAS_RESET, HW_FEATURE_TYPE, ID, ISSUER, KEY_GEN_MECHANISM, KEY_TYPE, LABEL, LOCAL, MODIFIABLE, MODULUS, MODULUS_BITS, NEVER_EXTRACTABLE, OBJECT_ID, OWNER, present_, PRIME, PRIME_1, PRIME_2, PRIME_BITS, PRIVATE, PRIVATE_EXPONENT, PUBLIC_EXPONENT, RESET_ON_INIT, SECONDARY_AUTH, SENSITIVE, sensitive_, SERIAL_NUMBER, SIGN, SIGN_RECOVER, START_DATE, SUB_PRIME_BITS, SUBJECT, SUBPRIME, TOKEN, TRUSTED, UNWRAP, VALUE, VALUE_BITS, VALUE_LEN, VENDOR_DEFINED, VERIFY, VERIFY_RECOVER, WRAP`

Constructor Summary
`LongAttribute(Long type)` Constructor taking the PKCS#11 type of the attribute.

Method Summary
`Long` | `getLongValue()` Get the long value of this attribute.
`protected String` | `getValueString(int radix)` Get a string representation of the value of this attribute.
`void` | `setLongValue(Long value)` Set the long value of this attribute.
`String` | `toString(int radix)` Get a string representation of this attribute.

Methods inherited from class iaik.pkcs.pkcs11.objects.Attribute
`clone, equals, getAttributeName, getCkAttribute, getType, getValueString, hashCode, isPresent, isSensitive, setCkAttribute, setPresent, setSensitive, setType, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongAttribute

    public LongAttribute(Long type)

  Constructor taking the PKCS#11 type of the attribute.

Parameters:
  `type` - The PKCS'11 type of this attribute; e.g. PKCS11Constants.CKA_VALUE_LEN.
Preconditions
  (type <> null)
Postconditions

Method Detail

### setLongValue

    public void setLongValue(Long value)

  Set the long value of this attribute. Null, is also valid. A call to this method sets the present flag to true.

  Parameters:
    `value` - The long value to set. May be null.
  Preconditions
  Postconditions

### getLongValue

    public Long getLongValue()

  Get the long value of this attribute. Null, is also possible.

  Returns:
    The long value of this attribute or null.
  Preconditions
  Postconditions

### getValueString

    protected String getValueString(int radix)

  Get a string representation of the value of this attribute. The radix for the presentation can be specified; e.g. 16 for hex, 10 for decimal.

  Parameters:
    `radix` - The radix for the representation of the value.
  Returns:
    A string representation of the value of this attribute.
  Preconditions
  Postconditions
    (result <> null)

### toString

    public String toString(int radix)

  Get a string representation of this attribute. The radix for the presentation of the value can be specified; e.g. 16 for hex, 10 for decimal.

  Parameters:
    `radix` - The radix for the representation of the value.
  Returns:
    A string representation of the value of this attribute.
  Preconditions
  Postconditions
    (result <> null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.